Skip to main content
GET
Fetches a set of filtered transactions allocations

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

subaccountIds
string[]

Array of Unique Identifiers for the subaccount

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

transactionsTypes
enum<string>[]

Filters by DEPOSITs, WITHDRAWALs or both (default)

Available options:
DEPOSIT,
WITHDRAWAL
afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

A list of transactions

data
SubaccountTransaction · object[]
required
page
Page · object

Pagination info